{
  config,
  lib,
  pkgs,
  ...
}: let
  themeEnv = ''
    export XDG_DATA_DIRS="${pkgs.whitesur-gtk-theme}/share:$XDG_DATA_DIRS"
    export XDG_DATA_DIRS="${pkgs.whitesur-icon-theme}/share:$XDG_DATA_DIRS"
    export XDG_DATA_DIRS="${pkgs.whitesur-cursors}/share:$XDG_DATA_DIRS"
  '';
in {
  environment.extraInit = themeEnv;
  programs.regreet = {
    enable = true;
    settings = {
      background = {
        fit = "Contain";
        path = "/home/max/Documents/Blender/desktop background Informatiker/render 4K new color.png";
      };
      gtk = {
        application_prefer_dark_theme = true;
        cursor_theme_name = "capitaine-cursors-white";
        font_name = "FiraCode Nerd Font 20";
        icon_theme_name = "WhiteSur-dark";
        theme_name = "WhiteSur-Dark";
      };
      commands = {
        reboot = ["systemctl" "reboot"];
        poweroff = ["systemctl" "poweroff"];
      };
    };
  };

  users.users.greeter = {
    isNormalUser = false;
    description = "Greeter";
    extraGroups = [];
  };

  services.greetd.enable = true;

  environment.etc."greetd/environments".text = ''
    sway
  '';

  environment.systemPackages = with pkgs; [
    whitesur-gtk-theme
    whitesur-icon-theme
    whitesur-cursors
  ];
}
